<form [formGroup]="docsForm" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="block-container mx-4">
        <div class="row">
            <div class="col-12 col-md-6 px-md-3 px-0 ml-0">
                <div class="  ibox-title py-2 my-3 ">
                    <div class="ibox-title-child">
                        {{'NOUVEAU_COMPTE.DOCUMENTS.TITLE' | translate}}</div>
                </div>
                <div *ngFor="let doc of documents; let index = index" class="container">
                    <div class="row  px-3 my-2 ">
                        <div class="col border d-flex">
                                        <input type="file" formControlName="file{{index}}" class="d-none" [accept]="['.pdf','.jpeg','.jpg','.png']"
                                            (change)="onFileSelected($event,index)" (click)="onClickInput(index)" #fileUpload>
                                        <div class="col-sm-8 py-2 px-0">{{files.get(index)?.name || doc.value +'(*)'}}</div>
                                        <div class="col-sm-4  float-right row pl-0 actions">
                                            <span  (click)="fileUpload.click()">
                                                <img src="./assets/img/cloud_upload.svg">
                                            </span>
                                            <!-- <span   (click)="download(index)">
                                                                                <img  src="./assets/img/cloud_download.svg" >
                                                                            </span> -->
                                            <span (click)="previewFile(index)">
                                                <img src="./assets/img/preview.svg">
                                            </span>
                                            <span (click)="remove(index)">
                                                <img src="./assets/img/delete.svg">
                                            </span>
                                        </div>
                        </div>
                        
                    </div>
                    <div
                        *ngIf="docsForm.get(getFormControlName(index)).invalid
                            &&  docsForm.get(getFormControlName(index)).errors
                            &&  (docsForm.get(getFormControlName(index)).dirty || docsForm.get(getFormControlName(index)).touched)">
                        <small class="text-danger" *ngIf="docsForm.get(getFormControlName(index)).hasError('required')">
                            {{'NOUVEAU_COMPTE.DOCUMENTS.MSJ' | translate}}</small>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-5 px-md-3 px-0 mx-auto">

                <div class="  ibox-title py-2 my-3">
                    <div class="ibox-title-child">
                        {{'NOUVEAU_COMPTE.DOCUMENTS.INFOS' | translate}}</div>
                </div>
                <div class="">
                    <p class="info p-2 p-md-2" >Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt</p>
                </div>
                <div class="">
                    <p class="info p-2 p-md-2" >Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt</p>
                </div>
            </div>

        </div>
    </div>
    
</form>
